## org.jCharts.chartData.processors
Class StackedDataProcessor

    java.lang.Object
      org.jCharts.chartData.processors.StackedDataProcessor

    abstract class StackedDataProcessor

extends Object

Notes: 1) Stacked data cannot have any negative values. I don't think i have ever seen a stacked bar chart with negative values just as a side observation. ---->There has been one request for this though...

Constructor Summary
`StackedDataProcessor()`

Method Summary
`static void` `processData(IAxisChartDataSet iAxisChartDataSet, AxisChartDataProcessor axisChartDataProcessor)` This method should do a single pass through the data set and calculate all needed values, such as: min, max, sum, etc...

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StackedDataProcessor

    StackedDataProcessor()

Method Detail

### processData

    public static final void processData(IAxisChartDataSet iAxisChartDataSet,
                                         AxisChartDataProcessor axisChartDataProcessor)

      This method should do a single pass through the data set and calculate all needed values,
        such as: min, max, sum, etc... so that we can do this in one pass through the data.
        Rather than once for each.

  Parameters:
    `iAxisChartDataSet` -
    `axisChartDataProcessor` -